Name:		kdegraphics
Icon:		kde-icon.xpm
Summary:	K Desktop Environment - Graphics
Version:	2.1.1
Release:	3mdk
Epoch:		1

Source:		%name-%version.tar.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
BuildRequires:	Mesa-common XFree86-devel XFree86-libs XFree86-static-libs
BuildRequires:	arts autoconf automake db1 diffutils file freetype2 gawk gcc-c++
BuildRequires:	gcc-cpp gettext kdelibs kdelibs-devel kdesupport-devel
BuildRequires:	libbinutils2 libbzip2_1 libjpeg62 libjpeg62-devel libmng1 libpng2
BuildRequires:	libqt2 libqt2-devel libtermcap libtiff3 m4
BuildRequires:	mktemp pam popt readline rpm-build tetex texinfo zlib1

%description
Graphical tools for the K Desktop Environment.

%package devel
Group:		Development/KDE and QT
Requires:	%name = %version-%release
Summary:	Header files for kdegraphics applications.

%description devel
The header files needed to compile kdegraphics applications.

%prep

%setup -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
	            --disable-debug \
	            --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-mt \
		    --with-qt-includes=%_includedir/qt2/ \
		    --with-qtl-libs=%_libdir/ \
	            --disable-rpath

%make 

%install
make install DESTDIR=%buildroot

# Create LMDK menu entries
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Graphics/
kdedesktop2mdkmenu.pl kdegraphics Applications/Publishing           %buildroot/%_datadir/applnk/Graphics/kdvi.desktop           %buildroot/%_menudir/kdegraphics-kdvi
kdedesktop2mdkmenu.pl kdegraphics Applications/Communications       %buildroot/%_datadir/applnk/Graphics/kfax.desktop           %buildroot/%_menudir/kdegraphics-kfax
kdedesktop2mdkmenu.pl kdegraphics Applications/Sciences/Mathematics %buildroot/%_datadir/applnk/Graphics/kfract.desktop         %buildroot/%_menudir/kdegraphics-kfract
kdedesktop2mdkmenu.pl kdegraphics Applications/Publishing           %buildroot/%_datadir/applnk/Graphics/kghostview.desktop     %buildroot/%_menudir/kdegraphics-kghostview
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics               %buildroot/%_datadir/applnk/Graphics/kiconedit.desktop      %buildroot/%_menudir/kdegraphics-kiconedit
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics               %buildroot/%_datadir/applnk/Graphics/kpaint.desktop         %buildroot/%_menudir/kdegraphics-kpaint
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics               %buildroot/%_datadir/applnk/Graphics/kpixmap2bitmap.desktop %buildroot/%_menudir/kdegraphics-kpixmap2bitmap
kdedesktop2mdkmenu.pl kdegraphics Applications/Accessibility        %buildroot/%_datadir/applnk/Graphics/kruler.desktop         %buildroot/%_menudir/kdegraphics-kruler
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics               %buildroot/%_datadir/applnk/Graphics/ksnapshot.desktop      %buildroot/%_menudir/kdegraphics-ksnapshot
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics               %buildroot/%_datadir/applnk/Graphics/kview.desktop          %buildroot/%_menudir/kdegraphics-kview
kdedesktop2mdkmenu.pl kdegraphics Multimedia/Graphics               %buildroot/%_datadir/applnk/Graphics/pixie.desktop          %buildroot/%_menudir/kdegraphics-pixie

# Dadou - 2.1-1mdk - kghostview title is "PS/PDF viewer". "PS/" create a new
#                    and non needed submenu. Foolowing command fix that.
perl -pi -e "s|PS/PDF|PS and PDF|" %buildroot/%_menudir/kdegraphics-kghostview


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kdvi/
%_docdir/HTML/en/kdvi/.anchors
%_docdir/HTML/en/kdvi/common
%_docdir/HTML/en/kdvi/*.docbook
%_docdir/HTML/en/kdvi/*.dvi
%_docdir/HTML/en/kdvi/*.html
%_docdir/HTML/en/kdvi/*.png
%_docdir/HTML/en/kdvi/*.ps
%_docdir/HTML/en/kdvi/*.tex
#
#
%dir %_docdir/HTML/en/kfax/
%_docdir/HTML/en/kfax/.anchors
%_docdir/HTML/en/kfax/common
%_docdir/HTML/en/kfax/*.docbook
%_docdir/HTML/en/kfax/*.html
#
#
%dir %_docdir/HTML/en/kfract/
%_docdir/HTML/en/kfract/.anchors
%_docdir/HTML/en/kfract/common
%_docdir/HTML/en/kfract/*.docbook
%_docdir/HTML/en/kfract/*.html
%_docdir/HTML/en/kfract/*.png
#
#
%dir %_docdir/HTML/en/kghostview/
%_docdir/HTML/en/kghostview/.anchors
%_docdir/HTML/en/kghostview/common
%_docdir/HTML/en/kghostview/*.docbook
%_docdir/HTML/en/kghostview/*.html
#
#
%dir %_docdir/HTML/en/kiconedit/
%_docdir/HTML/en/kiconedit/.anchors
%_docdir/HTML/en/kiconedit/common
%_docdir/HTML/en/kiconedit/*.docbook
%_docdir/HTML/en/kiconedit/*.html
#
#
%dir %_docdir/HTML/en/kpaint/
%_docdir/HTML/en/kpaint/.anchors
%_docdir/HTML/en/kpaint/common
%_docdir/HTML/en/kpaint/*.docbook
%_docdir/HTML/en/kpaint/*.html
%_docdir/HTML/en/kpaint/*.png
#
#
%dir %_docdir/HTML/en/ksnapshot/
%_docdir/HTML/en/ksnapshot/.anchors
%_docdir/HTML/en/ksnapshot/common
%_docdir/HTML/en/ksnapshot/*.docbook
%_docdir/HTML/en/ksnapshot/*.html
%_docdir/HTML/en/ksnapshot/*.png
#
#
%dir %_docdir/HTML/en/kview/
%_docdir/HTML/en/kview/.anchors
%_docdir/HTML/en/kview/common
%_docdir/HTML/en/kview/*.docbook
%_docdir/HTML/en/kview/*.html
%_docdir/HTML/en/kview/*.png
#
#
%dir %_docdir/HTML/en/pixie/
%_docdir/HTML/en/pixie/.anchors
%_docdir/HTML/en/pixie/common
%_docdir/HTML/en/pixie/*.docbook
%_docdir/HTML/en/pixie/*.html
%_docdir/HTML/en/pixie/*.png
#
#
#
%_bindir/*
#
#
#
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Graphics/
%_datadir/applnk/Graphics/*.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kdvi/
%_datadir/apps/kdvi/*.rc
#
%dir %_datadir/apps/kdvi/toolbar/
%_datadir/apps/kdvi/toolbar/*.xpm
#
#
%dir %_datadir/apps/kfax/
%_datadir/apps/kfax/*.rc
#
%dir %_datadir/apps/kfax/pics/
%_datadir/apps/kfax/pics/*.tif
%_datadir/apps/kfax/pics/*.xpm
#
#
%dir %_datadir/apps/kfract/
%_datadir/apps/kfract/*.rc
#
#
%dir %_datadir/apps/kghostview/
%_datadir/apps/kghostview/*.rc
#
#
%dir %_datadir/apps/kiconedit/
%dir %_datadir/apps/kiconedit/pics/
%_datadir/apps/kiconedit/pics/*.png
#
%dir %_datadir/apps/kiconedit/toolbar/
%_datadir/apps/kiconedit/toolbar/*.png
%_datadir/apps/kiconedit/toolbar/*.xpm
#
#
%dir %_datadir/apps/kpaint/
%_datadir/apps/kpaint/*.rc
#
%dir %_datadir/apps/kpaint/toolbar/
%_datadir/apps/kpaint/toolbar/*.xpm
#
#
%dir %_datadir/apps/kruler/
%_datadir/apps/kruler/*.png
#
#
%dir %_datadir/apps/kview/
%_datadir/apps/kview/*.rc
#
%dir %_datadir/apps/kview/toolbar/
%_datadir/apps/kview/toolbar/*.png
#
#
%dir %_datadir/apps/kviewerpart/
%_datadir/apps/kviewerpart/*.rc
#
#
%dir %_datadir/apps/kviewshell/
%_datadir/apps/kviewshell/*.rc
%_datadir/apps/kviewshell/paper-formats
#
#
%dir %_datadir/apps/pixie/
%_datadir/apps/pixie/*.png
#
%dir %_datadir/apps/pixie/plugins/
%_datadir/apps/pixie/plugins/*.desktop
#
%dir %_datadir/apps/pixie/toolbar/
%_datadir/apps/pixie/toolbar/*.png
#
#
#
%dir %_iconsdir/
%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png


%files devel
%defattr(-,root,root,-)
%_includedir/*.h
#
%dir %_includedir/mini-magick/
%_includedir/mini-magick/*.h
#
#
%_libdir/*.a


%changelOg
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-3mdk
- Move KDE menu entries in %%_datadir/applnk
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Fix CFLAGS

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Tue Mar 13 2001 David BAUDENS <bauden@mandrakesoft.com> 2.1-2mdk
- Rebuild agains Qt 2.3.0
- Add BuildRequires

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010220.1mdk
- Update code
- Enable --disable-debug

* Sat Feb 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010210.1mdk
- Update code

* Fri Feb 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010210.1mdk
- Update code

* Thu Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010208.1mdk
- Update code

* Wed Feb 07 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010207.1mdk
- Update code

* Tue Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010206.1mdk
- Update code
- LMDK menu entries cleaned

* Mon Feb 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010205.1mdk
- Update code
- LMDK menu entries nearly cleaned

* Sun Feb 04 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010204.1mdk
- Update code
- Begin clean LMDK menu entries

* Sat Feb 03 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010203.1mdk
- Update code

* Fri Feb 02 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010202.1mdk
- Update code
- Rewrite files list to fix updates

* Tue Feb 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010201.1mdk
- Update code

* Thu Jan 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010130.1mdk
- Update code

* Mon Jan 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010129.1mdk
- Update code

* Sun Jan 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010128.1mdk
- Update code
- Enable debug (low level)

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010127.1mdk
- Update code

* Fri Jan 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010126.1mdk
- Update code

* Tue Jan 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010125.1mdk
- Update code

* Wed Jan 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010124.1mdk
- Update code

* Thu Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010123.1mdk
- Update code

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010122.1mdk
- Update code

 Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010121-1mdk
- Build shared and static libraries
- Spec clean up

* Sat Jan  6 2001  Daouda Lo <daouda@mandrakesoft.com> 2.1-0.20010105.1mdk
- updated code   

* Wed Jan  3 2001  Daouda Lo <daouda@mandrakesoft.com> 2.1-0.20010103.1mdk
- code updated
- fix standard dir owned by packages
- pixie is back

* Thu Dec 28 2000  Daouda Lo <daouda@mandrakesoft.com> 2.1-0.20001228.1mdk
- updated code 

* Mon Dec 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001204.1mdk
- Updated source code

* Sun Nov 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001126.1mdk
- Updated source code
- Added kiconedit and kpaint to menu per report from Cooker.

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001123.1mdk
- Updated source code

* Wed Nov 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.1-0.1mdk
- Updated source code

* Sun Nov 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-10.1mdk
- Updated source code

* Sat Nov 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-10mdk
- Updated source code

* Fri Nov 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8.1mdk
- Updated source code

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8mdk
- Rebuilt for Mandrake 7.2 update

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-7mdk
- This version works on 2.96. Dropped some optimization to make it work.
- Includes pre 2.1 CVS code.

* Mon Nov 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Rebuiltfor gcc 2.96 update (second try)

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Rebuiltfor gcc 2.96 update

*  Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-4mdk
- Fix typos in Menu entries

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-3mdk
- Move some Menu entries in right place
- Clean up spec
- Make non relocatable

* Wed Oct 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Updated code for a showstopper from kde team

* Tue Oct 06 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0-1mdk
- 2.0 release
- add requires (ghostscript-module-X) for kghostview

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated code

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code

* Sun Oct 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-10mdk
- Updated code

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated code

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code

* Thu Sep 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.94-2mdk
- removed update_menus from %postun section, we need only clean_menus
- removed "/" from kghostview menu entry because it makes a submenu where
  not needed
- use _menudir
- use our target cpu instead of letting configure guess [potential
  problems on Pentium processors for example!]

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Fixed menu entry requested by Warly

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated code snapshot

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code snapshot

* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code snapshot

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code snapshot

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code snapshot

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Updated code snapshot

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code snapshot
- Added new menu conversion tool

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code snapshot

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code snapshot
- added menus
- fixed symlink error

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code snapshot

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code snapshot

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code snapshot

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code snapshot

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code snapshot
- Removed automatic file list
- Put in the menu files

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code snapshot

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code snapshot

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code snapshot

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code snapshot

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code snapshot

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code snapshot

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code snapshot

* Wed Jul 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000719mdk
- Updated code snapshot

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code snapshot

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code snapshot

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Update code snapshot
- Change package name
- Move to /usr

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Update code snapshot

* Fri Jul 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000707mdk
- Updated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot
- enabled documentation compiling
- enabled faxview compiling

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated Code Snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- Updated code snapshot

* Sun Jun 11 2000 Christopher Molnar <molnarc@mandrakesoft.com>
* 1.91-0.20000611mdk
- Updated Code Snapshot

* Wed May 31 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000531mdk
- Updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code snapshot

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Compiled for Mandrake and updated spec file and beta
- More recent snapshot includes fixes for beta
